libthrift-0.11.0_0.11.0-4_i386.deb


Advertisement

Description

libthrift-0.11.0 - Thrift C++ library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libthrift-0.11.0_0.11.0-4_i386.deb
Package name libthrift-0.11.0
Package version 0.11.0
Package release 4
Package architecture i386
Package type deb
Category devel uitoolkit::qt
Homepage https://thrift.apache.org/
License -
Maintainer Laszlo Boszormenyi (GCS) <gcs@debian.org>
Download size 452.30 KB
Installed size 1.58 MB
Thrift is a software framework for the development of reliable and
performant communication and data serialization.  It combines a software
stack with code generation to build services that operate seamlessly
across a number of different development languages.
This package contains the runtime libraries needed for C++ applications
using Thrift.

Alternatives

Package Version Architecture Repository
libthrift-0.11.0_0.11.0-4_amd64.deb 0.11.0 amd64 Debian Main
libthrift-0.11.0 - - -

Requires

Name Value
libboost-atomic1.67.0 -
libc6 >= 2.28
libgcc1 >= 1:3.0
libqt5core5a >= 5.11.0~rc1
libqt5network5 >= 5.0.2
libssl1.1 >= 1.1.0
libstdc++6 >= 5.2

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libthrift-0.11.0_0.11.0-4_i386.deb
Source Package thrift

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libthrift-0.11.0 deb package:
    # sudo apt-get install libthrift-0.11.0

Files

Path
/usr/lib/i386-linux-gnu/libthrift-0.11.0.so
/usr/lib/i386-linux-gnu/libthriftc.so.0
/usr/lib/i386-linux-gnu/libthriftc.so.0.0.0
/usr/lib/i386-linux-gnu/libthriftnb-0.11.0.so
/usr/lib/i386-linux-gnu/libthriftqt5-0.11.0.so
/usr/lib/i386-linux-gnu/libthriftz-0.11.0.so
/usr/share/doc/libthrift-0.11.0/README.md.gz
/usr/share/doc/libthrift-0.11.0/changelog.Debian.gz
/usr/share/doc/libthrift-0.11.0/changelog.gz
/usr/share/doc/libthrift-0.11.0/copyright

Changelog

2019-01-08 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
thrift (0.11.0-4) unstable; urgency=medium
* Backport upstream security fix for CVE-2018-11798: Node.js Filesever
webroot fixed path (closes: #918734).
* Update Standards-Version to 4.3.0 .
2018-10-27 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
thrift (0.11.0-3) unstable; urgency=medium
* Build with latest PHP package version.
* Provide PHP package without version number.
* Upload to Sid (closes: #835294).
2018-10-12 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
thrift (0.11.0-2) experimental; urgency=medium
* Disable failing Python self-tests to fix mips and s390x FTBFS.
2018-09-20 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
thrift (0.11.0-1) experimental; urgency=medium
* New major upstream release.
* Fixes  CVE-2016-5397: command injection in format_go_output
(closes: #894577).
* Fix FTBFS problems (closes: #909067).
* Rename related packages to -0.11.0 suffix.
* Build with PHP 7.2 version.
* Remove libmaven-ant-tasks-java build dependency (closes: #877126).
* Update patches.
* Use auto-generated debug packages.
* Change package priority to optional.
* Update Standards-Version to 4.2.1 .
2017-05-13 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
thrift (0.10.0-1) experimental; urgency=low
* New upstream release.
* Rename related packages to -0.10.0 suffix.
* Correct Perl install directory (closes: #859128).
* Fix building with Boost 1.62 version.
* Only build Go bindings on supported architectures.
* Add python{,3}-six build dependency for testing support.
* Disable failing TSimpleServer testing for Python.
2016-07-17 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
thrift (0.9.3-2) experimental; urgency=low
* Build Go bindings.
* Update to build with Java Servlet API 3.1 .
* Fix build with GCC 6.2 .
* Fix build with Boost 1.61 .
* Update Standards-Version to 3.9.8 .
2016-03-20 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
thrift (0.9.3-1) experimental; urgency=low
* New upstream release.
* Patch SSLv3 support to use SSLv23_method function (closes: #804668).
* Specify Qt version to build and move to version 5 of the library.
* This release contains TestValidators.thrift , remove its patch.
* Add debug package for Pyton bindings.
* Update OpenJDK build dependency to version 8.
* Update Perl build dependency.
* Update Standards-Version to 3.9.7 .
* Keep rebuildable.
2015-08-03 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
thrift (0.9.2-2) experimental; urgency=low
* Specify openjdk-7-jdk to build with.
* Disable parallel testing.
* Update Boost build dependency to be version 1.58.0 at least.
2015-03-21 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
thrift (0.9.2-1) experimental; urgency=low
* Use monolithic upstream source for Thrift packaging (closes: #792097).

See Also

Package Description
libthrift-c-glib-dev_0.11.0-4_i386.deb Thrift glib library (development headers)
libthrift-c-glib0_0.11.0-4_i386.deb Thrift glib library
libthrift-dev_0.11.0-4_i386.deb Thrift C++ library (development headers)
libthrift-perl_0.11.0-4_all.deb Perl language support for Thrift
libthrowable-perl_0.200013-1_all.deb role for classes that can be thrown
libthunarx-3-0_1.8.4-1_i386.deb extension library for thunar
libthunarx-3-dev_1.8.4-1_i386.deb Development files for libthunarx
libticables-dev_1.3.5+dfsg-3_i386.deb Texas Instruments link cables library [development files]
libticables2-7_1.3.5+dfsg-3_i386.deb Texas Instruments link cables library
libticalcs-dev_1.1.9+dfsg-2_i386.deb Texas Instruments calculator communication library [development files]
libticalcs2-12_1.1.9+dfsg-2_i386.deb Texas Instruments calculator communication library
libticcutils-dev_0.20-1_i386.deb utility functions used in the context of Natural Language Processing (headers)
libticcutils5_0.20-1_i386.deb utility functions used in the context of Natural Language Processing (library)
libticket-simple-perl_0.0.2-4_all.deb basic ticket system
libtickit-async-perl_0.21-2_all.deb module to use Tickit with IO::Async
Advertisement
Advertisement